# IceGrid::ApplicationDescriptor

## Overview

### struct ApplicationDescriptor

An application descriptor.

#### Used By

ApplicationDescriptorSeq
Admin::addApplication
Admin::getDefaultApplicationDescriptor
Admin::syncApplication
Admin::syncApplicationWithoutRestart
ApplicationInfo::descriptor
FileParser::parse

## Data Member Index

name
  The application name.
variables
  The variables defined in the application descriptor.
replicaGroups
  The replica groups.
serverTemplates
  The server templates.
serviceTemplates
  The service templates.
nodes
  The application nodes.
distrib
  The application distribution.
description
  The description of this application.
propertySets
  Property set descriptors.

## Data Members

string name;

  The application name.

[ "java:type:java.util.TreeMap" ] StringStringDict variables;

  The variables defined in the application descriptor.

ReplicaGroupDescriptorSeq replicaGroups;

  The replica groups.

TemplateDescriptorDict serverTemplates;

  The server templates.

TemplateDescriptorDict serviceTemplates;

  The service templates.

NodeDescriptorDict nodes;

  The application nodes.

DistributionDescriptor distrib;

  The application distribution.

string description;

  The description of this application.

PropertySetDescriptorDict propertySets;

  Property set descriptors.